<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class supports ADSL Plans
 *
 * @package    ADSL
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Model_ADSL_Plan extends ORM {
	// Relationships
	protected $_belongs_to = array(
		'supplier_plan' => array('model'=>'ADSL_Supplier_Plan','foreign_key'=>'adsl_supplier_plan_id'),
	);

	protected $_sorting = array(
	);

	protected $_form = array('id'=>'id','value'=>'name()');

	/**
	 * Filters used to format the display of values into friendlier values
	 */
	protected $_display_filters = array(
		'extra_down_peak'=>array(
			array('Tax::add',array(':value')),
			array('Currency::display',array(':value')),
		),
		'extra_down_offpeak'=>array(
			array('Tax::add',array(':value')),
			array('Currency::display',array(':value')),
		),
		'extra_up_peak'=>array(
			array('Tax::add',array(':value')),
			array('Currency::display',array(':value')),
		),
		'extra_up_offpeak'=>array(
			array('Tax::add',array(':value')),
			array('Currency::display',array(':value')),
		),
	);

	// Map the table fields
	private $_map = array(
	);

	private $_metrics = array(
	);

	/**
	 * ADSL Plan Name
	 */
	public function name($variable=NULL) {
	}

	/**
	 * Collapse our traffic data into an array as per $this->_metric
	 */
	public function traffic_data() {
	}
}
?>
